Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class DescribeFeatureType

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wfs.operation.AbstractWFSRequest
              org.deegree.ogcwebservices.wfs.operation.DescribeFeatureType

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeFeatureType

extends AbstractWFSRequest

Represents a `DescribeFeatureType` request to a web feature service.

The function of the DescribeFeatureType interface is to provide a client the means to request a schema definition of any feature type that a particular WFS can service. The description that is generated will define how a WFS expects a client application to express the state of a feature to be created or the new state of a feature to be updated. The result of a DescribeFeatureType request is an XML document, describing one or more feature types serviced by the WFS.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wfs.operation.AbstractWFSRequest
`FORMAT_GML2, FORMAT_GML2_WFS100, FORMAT_GML3, FORMAT_XML`

Constructor Summary
`DescribeFeatureType(String version, String id, String handle, String outputFormat, QualifiedName[] typeNames, Map<String,String> vendorspecificParameter)` Creates a new `DescribeFeatureType` instance.

Method Summary
`static DescribeFeatureType` | `create(Map<String,String> request)` Creates a new `DescribeFeatureType` request from the given map.
`static DescribeFeatureType` | `create(String id, Element root)` Creates a `DescribeFeatureType` instance from a document that contains the DOM representation of the request.
`static DescribeFeatureType` | `create(String id, String request)` Creates a new `DescribeFeatureType` instance from the given key-value pair encoded request.
`String` | `getOutputFormat()` Returns the value of the outputFormat attribute.
`String` | `getRequestParameter()` returns the URI of a HTTP GET request.
`QualifiedName[]` | `getTypeNames()` Returns the names of the feature types for which the schema is requested.
`void` | `guessMissingNamespaces(WFService wfs)` Adds missing namespaces in the names of requested feature types.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.deegree.ogcwebservices.wfs.operation.AbstractWFSRequest
`checkServiceParameter, checkVersionParameter, extractBBOXFilter, extractFilters, extractNamespaceParameter, extractTypeNames, getHandle, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeFeatureType

    DescribeFeatureType(String version,
                        String id,
                        String handle,
                        String outputFormat,
                        QualifiedName[] typeNames,
                        Map<String,String> vendorspecificParameter)

  Creates a new `DescribeFeatureType` instance.

  Parameters:
    `version` -
    `id` -
    `handle` -
    `outputFormat` -
    `typeNames` -
    `vendorspecificParameter` -

Method Detail

### create

    public static DescribeFeatureType create(String id,
                                             Element root)
                                      throws OGCWebServiceException

  Creates a `DescribeFeatureType` instance from a document that contains the DOM representation of the request.

  Parameters:
    `id` -
    `root` - element that contains the DOM representation of the request
  Returns:
    DescribeFeatureType instance
  Throws:
    `OGCWebServiceException`

### create

    public static DescribeFeatureType create(String id,
                                             String request)
                                      throws InconsistentRequestException,
                                             InvalidParameterValueException,
                                             MissingParameterValueException

  Creates a new `DescribeFeatureType` instance from the given key-value pair encoded request.

  Parameters:
    `id` - request identifier
    `request` -
  Returns:
    new `DescribeFeatureType` request
  Throws:
    `InvalidParameterValueException`
    `InconsistentRequestException`
    `MissingParameterValueException`

### create

    public static DescribeFeatureType create(Map<String,String> request)
                                      throws InconsistentRequestException,
                                             InvalidParameterValueException,
                                             MissingParameterValueException

  Creates a new `DescribeFeatureType` request from the given map.

  Parameters:
    `request` -
  Returns:
    new `DescribeFeatureType` request
  Throws:
    `InconsistentRequestException`
    `InvalidParameterValueException`
    `MissingParameterValueException`

### getOutputFormat

    public String getOutputFormat()

  Returns the value of the outputFormat attribute.

  The outputFormat attribute, is used to indicate the schema description language that should be used to describe a feature schema. The only mandated format is XML-Schema denoted by the XMLSCHEMA element; other vendor specific formats specified in the capabilities document are also possible.

  Returns:
    the value of the outputFormat attribute.

### getTypeNames

    public QualifiedName[] getTypeNames()

  Returns the names of the feature types for which the schema is requested.

  Returns:
    the names of the feature types for which the schema is requested.

### guessMissingNamespaces

    public void guessMissingNamespaces(WFService wfs)

  Adds missing namespaces in the names of requested feature types.

  If the `QualifiedName` of a requested type has a null namespace, the first qualified feature type name of the given `WFService` with the same local name is used instead.

  Note: The method changes this request (the feature type names) and should only be called by the `WFSHandler` class.

  Parameters:
    `wfs` - `WFService` instance that is used for the lookup of proper (qualified) feature type names

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `AbstractOGCWebServiceRequest`
  Returns:
    a string representation of the object.

### getRequestParameter

    public String getRequestParameter()
                               throws OGCWebServiceException

  Description copied from class: `AbstractOGCWebServiceRequest`
  returns the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown

  Specified by:
    `getRequestParameter` in interface `OGCWebServiceRequest`
  Overrides:
    `getRequestParameter` in class `AbstractOGCWebServiceRequest`
  Returns:
    the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org